Home | All Classes | Grouped Classes | Index | Search

# Class CL_Deck

Deck More...

Derived from: none
Derived by: none
Group: GUI (Framework)

#include <ClanLib/gui.h>

Construction:

CL_Deck | Deck Constructor

Attributes:

get_component | Returns the component identified by the specified name.
get_visible | Returns the current visible component.
get_map | Returns the stored component map.

Operations:

add | Add a component.
swap | Swap visible component.
remove | Remove a component.

Detailed description:

!group=GUI/Framework! !header=gui.h!

Deck is a component manager that acts like a tab system. It is used to group a list of components and show only one at a time.

Questions or comments, write to the ClanLib mailing list.